
<!ELEMENT foo (#PCDATA|reqatt|defatt|optatt)*>
<!ELEMENT reqatt (#PCDATA)>
<!ATTLIST reqatt att (val1 | val2 ) #REQUIRED>
<!ELEMENT defatt (#PCDATA)>
<!ATTLIST defatt att (val1 | val2 ) 'val2'>
<!ELEMENT optatt (#PCDATA)>
<!ATTLIST optatt att (val1 | val2 ) #IMPLIED>
